/* filewindow.c    function for file select window
 * Copyright (c) 2004 by SmartLu <smartlu@eyou.com> All Rights Reserved
 * Distributed under the terms of the GNU General Public License (GPL)
 * See the GNU Library General Public License for more details.
 */

#include "srecite.h"

static GtkWidget *file_sel_window;

void selection_filename(GtkWidget *widget,GtkFileSelection *file_sel)
{
//	gchar *temp;
	//here bug
	//temp = gtk_file_selection_get_filename(GTK_FILE_SELECTION(file_sel));
//	strcpy(temp,gtk_file_selection_get_filename(GTK_FILE_SELECTION(file_sel)) );
	strcpy(S_conf.filename,gtk_file_selection_get_filename(GTK_FILE_SELECTION(file_sel)) );
//	strcpy(S_conf.filename,temp);
	g_print("file selection:(%s)\n",S_conf.filename);
	
	gtk_grab_remove (file_sel_window);
	gtk_widget_destroy(file_sel_window);

	// restart after file selection
	restart_for_file_sel();
}

/* file selection window */
void file_selection()
{
	file_sel_window = gtk_file_selection_new("file selection");
	gtk_signal_connect(GTK_OBJECT (GTK_FILE_SELECTION(file_sel_window)->ok_button),
			"clicked",
			(GtkSignalFunc)selection_filename,
			file_sel_window);
	
	gtk_signal_connect_object(GTK_OBJECT(GTK_FILE_SELECTION(file_sel_window)->cancel_button),
			"clicked",
			(GtkSignalFunc)gtk_widget_destroy,
			GTK_OBJECT(file_sel_window));

	gtk_file_selection_set_filename (GTK_FILE_SELECTION(file_sel_window),PRE_DIR"wordbooks/tf.wrd");
	gtk_widget_show(file_sel_window);
	gtk_grab_add (file_sel_window);

}


/* restart file after file selection */
void restart_for_file_sel()
{
	// remove timer
	show_stop();

	show_banner("File Selecting ...");

	init_wordbook();

	//fseek(S_state.wordfile,S_state.pos,SEEK_SET);
	
	show_play();
	//add timer
}
